import { formatDate } from "@/lib/helpers";
import Link from "next/link";

export default function StaticContentList({ entries, urlPrefix, max = 0 }) {
  return (
    <div>
      {entries
        .map((e) => (
          <p key={e.slug}>
            <Link href={`${urlPrefix}${e.slug}`}>{e.title}</Link>{" "}
            {!!e.datePublished && <i>{`on ${formatDate(e.datePublished)}`}</i>}
          </p>
        ))
        .slice(0, max > 0 ? max : entries.length)}
    </div>
  );
}
